%global momorel 2

Summary:	Audacity is a free audio editor.
Name:		audacity
Version:	1.3.0b
Release:	%{momorel}m
License:	GPL
Group:		Applications/Multimedia
%NoSource 0	http://jaist.dl.sourceforge.net/sourceforge/audacity/audacity-src-%{version}.tar.gz d1c5a3359ad95eab6ca8b375972c1a91
Source1:	%{name}.desktop
Patch0:         audacity-1.3.0b-soundtouch-gcc41.patch
Patch1:         audacity-1.3.0b-locale_installpath.patch
Patch2:         audacity-1.3.0b-libsamplerate_ver.patch
Url:		http://audacity.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	wxGTK >= 2.6.2
Requires:	libvorbis, libmad, libsndfile, flac
BuildPreReq:	wxGTK-devel >= 2.6.2
BuildPreReq:	gcc-c++
BuildPreReq:	libvorbis-devel, libmad, libsndfile-devel, libid3tag, ladspa-devel, libsamplerate-devel
BuildPreReq:	flac-devel >= 1.1.2

%description
Audacity is a free audio editor. You can record sounds, play sounds, import
and export WAV, AIFF, and MP3 files, and more. Use it to edit your sounds
using Cut, Copy and Paste (with unlimited Undo), mix tracks together, or apply
effects to your recordings. It also has a built-in amplitude envelope editor,
a customizable spectrogram mode and a frequency analysis window for audio
analysis applications. Built-in effects include Bass Boost, Wahwah, and Noise
Removal, and it also supports VST plug-in effects.

%prep
%setup -q -n %{name}-src-%{version}-beta
%patch0 -p1 -b .gcc41
%patch1 -p1 -b .orig
%patch2 -p1 -b .libsamplereate_ver

%build
%configure \
        --with-vorbis=system \
        --with-libmad=system \
        --with-libsndfile=system \
        --with-libflac=system \
        --with-libsamplerate=system \
        --without-libresample \
        --with-help

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_datadir}/%{name}
#cp audacity-1.2-help.htb %{buildroot}/%{_datadir}/%{name}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 images/AudacityLogo48x48.xpm %{buildroot}%{_datadir}/pixmaps/

# remove docdir/audacity
rm -rf  %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,755)
%doc LICENSE.txt README.txt help/wxhelp
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.xpm
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/%{name}.1*

%changeLog
* Wed May 03 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.0b-2m)
- fix configure to use system libsamplerate
- change release expression since 1.3.0b does not mean 1.3.0-beta although this is development version

* Sat Mar 25 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.0b-0.1.1m)
- update to 1.3.0b-beta
- build with wxGTK-2.6
- remove old patches
- - audacity-1.2.4b-adhoc_prefstrings.patch: fixed with wxGTK-2.6
- - audacity-1.2.3-gcc41.patch: fixed in upstream
- add new patches
- - audacity-1.3.0b-soundtouch-gcc41.patch(Patch0): build fix for gcc41
- - audacity-1.3.0b-locale_installpath.patch(Patch1): fix stupid INSTALL_PATH in Makefile in locale dir

* Sat Dec 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4b-1m)
- update to 1.2.4b
- update adhoc_prefstrings.patch
- include all message catalog files (preference dialog crash problem was fixed)

* Sat Dec 17 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-3m)
- support gcc-4.1
-- add audacity-1.2.3-gcc41.patch

* Sun Nov  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-2m)
- add new audacity.desktop

* Wed Jul  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- update to 1.2.3
- BuildPreReq: ladspa-devel

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.2-3m)
- revised docdir permission

* Fri Nov 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- rebuild against flac 1.1.1
- add category AudioVideo to desktop file for KDE 

* Fri Nov 05 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2
- remove some message catalog files which cause a crash when one open a preference dialog (http://audacity.fuchsi.de/forum.php?req=thread&id=51)
- add Patch0 since some strings of a preferance dialog are not shown in the case launguage setting is "Nihongo". This may be bug of wxNotebook::AddPage, but I simply remove some translations from ja.po of audacity.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.0-0.2.2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Dec 14 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.0-0.2.1m)
- update to version 1.2.0-pre2 (1.2.0-pre3 doesn't work correctly now...)
- rebuild against wxGTK-2.4.2

* Thu Feb 13 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.0.0-2m)
  BuildPrereq: wxGTK-devel.

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.0-1m)
  imported
